Subject: RE: [ietf-provreg] RFC3731: domain:roid in <info> response

From: "Hollenbeck, Scott" <[email-masked]>
Date: Thu, 13 Apr 2006 10:08:24 -0400

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Alexander Mayrhofer
> Sent: Thursday, April 13, 2006 9:27 AM
> To: [email-masked]
> Subject: [ietf-provreg] RFC3731: domain:roid in <info> response
> 
> Hi,
> 
> i just noticed that the "roid" element in the response to a 
> <domain:info>
> request is a mandatory element. However, it seems that the 
> "roid" is not
> required in any other requests on domain objects, because all other
> transactions use the <domain:name> to identify a certain 
> object instance.
> 
> So, is there a reason why the "roid" is not optional in the 
> <info> response?
> And, any chance to change that in 3731bis? As it seems to me, 
> we'd need to
> "leak" the internal id of a domain object to the client for 
> just this single
> info-response - without any further use.

The ROID was added to the protocol at the suggestion of the working
group's area advisor.  It's mandatory in the <info> response because
that's the only way to retrieve it, much like certain other object
attributes are only returned in the <info> response.  In 2219 terms it
MUST be created, so it MUST exist, so it MUST be returned.

Given that it was inserted at the rewuest of the IESG, I'm not sure that
making it optional in the response would be a good idea.  "Not used now"
is probably not good enough as I suspect that the whole ideas was to
make it available for future use.  We'd most likely need some new
justification to make a case.

-Scott-